'''
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Creator: Mario Voigt / FabLab Chemnitz - Stadtfabrikanten e.V.
'''

import sys
from subprocess import Popen, PIPE
import subprocess
import inkex
import os
class Unfold:
    def __init__(self):
        stl_filename = inkex.sys.argv[1]
        #inkex.debug("stl_filename: "+stl_filename)
        if os.name=="nt":
            outname = "papercraft_unfold_output.svg"
            #remove old file if existent
            if os.path.exists(outname):
              os.remove(outname)
            if os.path.exists("unfold.exe.stackdump"):
              os.remove("unfold.exe.stackdump")
            #inkex.debug("os.getcwd(): "+os.getcwd())
            cmd = os.getcwd() + "\\papercraft\\unfold.exe" + " < " + stl_filename + " > " + outname
            #inkex.debug("cmd: "+cmd)
            p = Popen(cmd, shell=True, stdout=PIPE, stderr=PIPE)
            inkex.debug(p.communicate())
            p.wait()
            if p.returncode == 0:
              #inkex.debug("OK")			
              doc = inkex.etree.parse(os.getcwd() + "\\" + outname)
              doc.write(inkex.sys.stdout)
if __name__ == '__main__':
    gc = Unfold()